import re
import os
import sys

GIT_REPO_URL = sys.argv[1];
with open("Dockerfile",'w') as f:
    f.write(
'''
FROM theia_base_image
GIT_REPO_URL
GIT CLONE ''' + GIT_REPO_URL + '''
ADD Cloned_code target_path
EXPOSE 3000
ENTRYPOINT ["yarn", "start"]
'''
)